Skip to main content
GET
/
branches
/
{branch_id}
Get Branch
curl --request GET \
  --url https://api.example.com/branches/{branch_id}
{
  "agent_id": "<string>",
  "git_branch": "<string>",
  "git_branch_normalized": "<string>",
  "id": "<string>",
  "replicas": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "current_version": {
    "deployed_at": "2023-11-07T05:31:56Z",
    "git_hash": "<string>",
    "id": "<string>",
    "status": "DEPLOYING",
    "git_message": "",
    "source_filesystem_id": "<string>"
  },
  "retired_at": "2023-11-07T05:31:56Z",
  "retired_reason": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.terminaluse.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

branch_id
string
required

Response

Successful Response

Full branch details including current version.

agent_id
string
required

Parent agent ID

git_branch
string
required

Original git branch name

git_branch_normalized
string
required

DNS-safe branch name

id
string
required

Branch ID

replicas
integer
required

Desired replica count

created_at
string<date-time> | null

Creation timestamp

current_version
VersionSummary · object

Currently active version (includes status)

retired_at
string<date-time> | null

When branch was retired

retired_reason
string | null

Reason for retirement

updated_at
string<date-time> | null

Last update timestamp